<?php
 // erreur sur la syntaxe avec du texte
 $x = "18.23azerty";
 echo "== \$x = \"18azerty\" : notation réelle erronée ==\n";  
 echo   'echo     : $x='.$x." (chaîne)\n";
 printf("printf   : \$x=%f (float)\n",$x);
 echo   'var_dump : ';
 var_dump($x);
 echo "--- après \$x=\$x+0 ----\n"; 
 $x=$x+0;
 echo   'echo     : $x='.$x." (float)\n";
 printf("printf   : \$x=%d (float)\n",$x);
 echo   'var_dump : ';
 var_dump($x);
?>
